Skip to content

API Endpoint Reference (1.0)

Tenovos offers a REST API for partner and customer integrations. This API provides a RESTful endpoint, token-based authorization, HTTP methods for operations, and JSON-formatted payloads. Use this API to incorporate Tenovos functionality into your own application.

This API is up-versioned when a breaking change is introduced such as

  • a change in the format of the response data for one or more calls
  • a change in the request or response type (i.e. changing an integer to a float)
  • removing any part of the API.

This API is not up-versioned for non-breaking changes such as

  • new endpoints
  • new response parameters
  • new optional request parameters
Download OpenAPI description
Languages
Servers
https://enterprise.services.tenovos.io/content-store-v1
https://enterprise-2.services.tenovos.io/content-store-v1
https://enterprise3.services.tenovos.io/content-store-v1
https://enterprise-4.services.tenovos.io/content-store-v1

Action Operations

Invoke the Action API to retrieve information about invoked Actions.

Operations

Asset Operations

Invoke the Asset API to create, retrieve, manipulate, and share Assets. This API also provides operations to manage Asset relationships and download Asset content.

Operations

Authentication Operations

Invoke the Authentication API to generate, refresh, and revoke access tokens. An access token is required to perform any authorized API operation.

Operations

Collection Operations

Invoke the Collection API to create, retrieve, edit, and delete Collections. Collections are used to group and catalog related Assets for quick access and consumption. Collections can be configured as:

  • private: Visible only to the user who created the Collection.
  • secured: Visible to shared users with permission.

When retrieving the Assets within a Collection, the requesting user will only see the Assets that the user has access to view. For example, a librarian may see all Assets within a Collection, but a general consumer user may only see a portion of those Assets, due to limited security access.

Operations

Customer Operations

Invoke the Customer API to retrieve Customer account profile information.

Operations

Metadata Operations

Invoke the Metadata API to retrieve Metadata Template to be applied to Assets during Asset creation. A Metadata Template defines a set of Metadata Attributes of varying types, including Text, Date, Controlled Vocabulary, Tabular, and Cascading Attributes. When a Metadata Template is assigned to a new Asset, the corresponding Metadata Attributes will be available for population on the Asset.

Operations

Search Operations

Search for Collections by Collection name.

Perform Asset searches using keywords or Attribute-specific search terms using the Keyword Search endpoint.

Perform a scan on all assets based on search criteria using a cursor to page through the entire result set of assets.

Operations

Security Operations

Invoke the Metadata API to retrieve Security Template information to be applied to Assets during Asset creation or edit.

Operations

User Operations

Invoke the User API to retrieve User profile information.

Operations

Proof Operations

Operations

Get workflow templates.

Request

Get active workflow templates.

Security
ApiKeyAuth or BasicAuth
Headers
X-API-Keystringrequired

Customer-specific API key required to invoke API.

Authorizationstringrequired

Provided by Authentication Token creation operation

AccessTokenstringrequired

JWT token provided by Authentication Token creation operation.

curl -i -X GET \
  https://enterprise.services.tenovos.io/content-store-v1/workflow-templates \
  -H 'AccessToken: string' \
  -H 'Authorization: string' \
  -H 'X-API-Key: YOUR_API_KEY_HERE'

Responses

Successful operation

Bodyapplication/jsonArray [
idstring(uuid)
namestring
Example: "Marketing"
]
Response
application/json
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "Marketing" } ]

Get Proof Status.

Request

Get Proof status and decision status

Security
ApiKeyAuth or BasicAuth
Path
idstringrequired

Specify a Proof ID.

Headers
X-API-Keystringrequired

Customer-specific API key required to invoke API.

Authorizationstringrequired

Provided by Authentication Token creation operation

AccessTokenstringrequired

JWT token provided by Authentication Token creation operation.

curl -i -X GET \
  'https://enterprise.services.tenovos.io/content-store-v1/proof/{id}/status' \
  -H 'AccessToken: string' \
  -H 'Authorization: string' \
  -H 'X-API-Key: YOUR_API_KEY_HERE'

Responses

Successful operation

Bodyapplication/json
statusstring
Example: "completed"
decisionStatusstring
Example: "approved"
Response
application/json
{ "status": "completed", "decisionStatus": "approved" }

Create a Proofing User.

Request

Creates a Proofing User account. Must be a Story Orchestration customer and have available user licenses.

Security
ApiKeyAuth or BasicAuth
Headers
X-API-Keystringrequired

Customer-specific API key required to invoke API.

Authorizationstringrequired

Provided by Authentication Token creation operation

AccessTokenstringrequired

JWT token provided by Authentication Token creation operation.

Bodyapplication/jsonrequired

The Request Body must be a JSON object

first_namestring
Example: "Tony"
last_namestring
Example: "Stark"
emailstring

Email address for the user

Example: "tony.stark@tenovos.com"
rolesArray of strings(ProofUserRoles)

List of string for each account type assigned to the user

Items Enum"manager""user""guest"
phonestring

Phone number for the user

Example: "4412345678911"
timezonestring

Timezone for the user

Example: "account_owner_timezone"
companystring

The company associated with the user account

Example: "Tenovos"
verifiedboolean

Indicates whether or not the user has confirmed their account via the email notification sent. Only available when the role is not guest. If set to true, user will not receive an email notification and will be able to login without confirming email address.

Example: false
passwordstring

The password the user will use to login. For Tenovos federated users, this can be any password that is at least 8 characters with 1 number and 1 captial letter, and user will not use this password when accessing proofs via Tenovos federation.

proofing_defaultsobject
curl -i -X POST \
  https://enterprise.services.tenovos.io/content-store-v1/proofing/user \
  -H 'AccessToken: string' \
  -H 'Authorization: string' \
  -H 'Content-Type: application/json' \
  -H 'X-API-Key: YOUR_API_KEY_HERE' \
  -d '{
    "first_name": "Tony",
    "last_name": "Stark",
    "email": "tony.stark@tenovos.com",
    "roles": [
      "manager"
    ],
    "phone": "4412345678911",
    "timezone": "account_owner_timezone",
    "company": "Tenovos",
    "verified": false,
    "password": "string",
    "proofing_defaults": {
      "view": true,
      "comment": true,
      "decision": false,
      "share": true,
      "manage": false,
      "notification": "disabled"
    }
  }'

Responses

Successful Operation

Bodyapplication/json
idstring

Identifier of the proofing user account created

Example: "a4fdc859-6d9e-4885-8df0-a5d315827703"
first_namestring
Example: "Tony"
last_namestring
Example: "Stark"
account_ownerboolean

Indicated if the user is the owner of the Proofing account for the organization

Example: false
timezonestring
Example: "Europe/London"
emailstring

Email address for the user

Example: "tony.stark@tenovos.com"
rolesArray of strings(ProofUserRoles)

List of string for each account type assigned to the user

Items Enum"manager""user""guest"
phonestring

Phone number for the user

Example: "4412345678911"
companystring

The company associated with the user account

Example: "Tenovos"
verifiedboolean

Indicates whether or not the user has confirmed their account via the email notification sent

Example: "false"
Response
application/json
{ "id": "a4fdc859-6d9e-4885-8df0-a5d315827703", "first_name": "Tony", "last_name": "Stark", "account_owner": false, "timezone": "Europe/London", "email": "tony.stark@tenovos.com", "roles": [ "manager" ], "phone": "4412345678911", "company": "Tenovos", "verified": "false" }

Get Reviewer URL.

Request

Get proof Reviewer URL.

Security
ApiKeyAuth or BasicAuth
Path
idstringrequired

Specify a Proof ID.

Headers
X-API-Keystringrequired

Customer-specific API key required to invoke API.

Authorizationstringrequired

Provided by Authentication Token creation operation

AccessTokenstringrequired

JWT token provided by Authentication Token creation operation.

X-API-Verification-Keystringrequired

Verification key created in Config customer specific.

Bodyapplication/jsonrequired

The Request Body is a JSON object

emailstring(email)

Email of user who wishes to access proof (must have permission).

Example: "john@company.com"
curl -i -X POST \
  'https://enterprise.services.tenovos.io/content-store-v1/proof/{id}/reviewer-url' \
  -H 'AccessToken: string' \
  -H 'Authorization: string' \
  -H 'Content-Type: application/json' \
  -H 'X-API-Key: YOUR_API_KEY_HERE' \
  -H 'X-API-Verification-Key: string' \
  -d '{
    "email": "john@company.com"
  }'

Responses

Successful operation

Bodyapplication/json
urlstring(website URL)

URL of proof corresponding to ID.

Response
application/json
{ "url": "https://myco.com/proof/mumcj6m7l07s07sh7smo70sn93" }

Cart Operations

Operations